Imports System.Threading.Tasks
Imports MyFriends.Model

Namespace Design
    Public Class DesignDataService
        Implements IDataService

        Public Async Function GetFriends() As Task(Of IList(Of [Friend])) Implements IDataService.GetFriends
            Dim result As List(Of [Friend]) = New List(Of [Friend])

            Dim index As Integer
            For index = 0 To 41
                result.Add(New [Friend] With {.DateOfBirth = (Date.Now - TimeSpan.FromDays(index)), .FirstName = "FirstName" & index, .LastName = "LastName" & index, .ImageUrl = "http://www.galasoft.ch/labs/json/Pictures/1.jpg"})
            Next index

            Return result
        End Function
    End Class
End Namespace
